Last modified: 2009-08-23 01:26:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20317 - Need default values for accesskey-n-mainpage-description and tooltip-n-mainpage-description
Need default values for accesskey-n-mainpage-description and tooltip-n-mainpa...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch-need-review
Depends on:
Blocks: 8617
  Show dependency treegraph
 
Reported: 2009-08-20 02:02 UTC by RockMFR
Modified: 2009-08-23 01:26 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
patch (1.51 KB, patch)
2009-08-22 21:22 UTC, RockMFR
Details

Description RockMFR 2009-08-20 02:02:37 UTC
The sidebar uses mainpage-description now, so we need values for accesskey-n-mainpage-description and tooltip-n-mainpage-description. These should be the same as the values for accesskey-n-mainpage and tooltip-n-mainpage, respectively. The old messages probably need to be kept for compatibility.

This is a regression from bug 8617.

See [[MediaWiki talk:Accesskey-n-mainpage-description]] on enwiki for my analysis of the situation there. It's just a bit complicated...
Comment 1 RockMFR 2009-08-22 21:22:28 UTC
Created attachment 6483 [details]
patch
Comment 2 Brion Vibber 2009-08-23 01:26:33 UTC
Ok I think r55515 now makes some kind of sense. :)

* (bug 20317) Cleaned up default main page link accesskey settings

Cleanup from r46398 (bug 17184) which moved the accesskey from 'n-mainpage' onto 'p-logo' to avoid duplicating the access key on both the logo and the main page.

Putting the 'z' accesskey default on 'n-mainpage-description' now instead of p-logo; also kept 'z' for 'n-mainpage' for back-compat for people with older customized sidebars which don't specify mainpage-description.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links